com.explodingpixels.macwidgets

## Enum BottomBarSize

- java.lang.Object
- - java.lang.Enum<BottomBarSize>
  - - com.explodingpixels.macwidgets.BottomBarSize

All Implemented Interfaces:
  Serializable, Comparable<BottomBarSize>

    public enum BottomBarSize
    extends Enum<BottomBarSize>

An enumeration encapsulating the possible sizes of a Bottom Bar. The sizes called out in the Apple Human Interface Guideline are 22 pixel and 32 pixel areas. These correspond to the `SMALL` and `LARGE` sizes. The `EXTRA_SMALL` size isn't officially in the HIG, but can be seen in use in Safari's status bar for example.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`EXTRA_SMALL`
`LARGE`
`SMALL`

### Method Summary

Methods
`int` `getHeight()` Gets the height in pixels that this size represents.
`static BottomBarSize` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static BottomBarSize[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### EXTRA_SMALL

    public static final BottomBarSize EXTRA_SMALL

#### SMALL

    public static final BottomBarSize SMALL

#### LARGE

    public static final BottomBarSize LARGE

### Method Detail

#### values

    public static BottomBarSize[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (BottomBarSize c : BottomBarSize.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static BottomBarSize valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getHeight

    public int getHeight()

Gets the height in pixels that this size represents.

Returns:
  the height in pixels that this size represents.